API reference
Get a result
Returns a saved result by check ID without creating a new check. Returns HTTP 409 with code processing while the check is running. Read the result.
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
id*Id
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/checks/string"{ "id": "chk_example", "status": "done", "created_at": "2026-09-09T10:35:00+03:00", "tenant_id": "ten_example", "external_id": "payment-123", "external_user_id": "customer:00042", "profile": "kz.kaspi", "profile_version": 4, "mode": "pdf", "document": { "verdict": "genuine", "family": null, "checks": [] }, "fields": { "bank": "kz.kaspi", "amount": 2000, "currency": "KZT", "type": "client_transfer", "status_ok": true, "receipt_number": null, "paid_at": "2026-09-09T10:30:00+03:00", "paid_at_source": null, "recipient_name": "Алексей П.", "recipient_account": null, "payment_reference": null, "purpose": null, "sender_name": null, "commission": null, "source": null, "language": null, "confidence": {} }, "match": { "bank": true, "amount": true, "currency": true, "recipient": true, "window": true, "type": true, "status": true, "payment_reference": null }, "replay": { "seen_before": false, "duplicate_of": null, "keys_matched": [] }, "recommendation": "accept", "reasons": [], "error": null}